net.sf.jasperreports.engine.base

## Class JRBaseQuery

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseQuery

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRCloneable, JRQuery
  Direct Known Subclasses:
    JRDesignQuery

      public class JRBaseQuery
      extends java.lang.Object
      implements JRQuery, java.io.Serializable

  Version:
    $Id: JRBaseQuery.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `language`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRBaseQuery()`
    `protected` | `JRBaseQuery(JRQuery query, JRBaseObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `JRQueryChunk[]` | `getChunks()`
    `java.lang.String` | `getLanguage()` Returns the query language.
    `java.lang.String` | `getText()` Returns the query string.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### language

          protected java.lang.String language

  - ### Constructor Detail

    - #### JRBaseQuery

          protected JRBaseQuery()

    - #### JRBaseQuery

          protected JRBaseQuery(JRQuery query,
                     JRBaseObjectFactory factory)

  - ### Method Detail

    - #### getChunks

          public JRQueryChunk[] getChunks()

      Specified by:
        `getChunks` in interface `JRQuery`

    - #### getText

          public java.lang.String getText()

      Description copied from interface: `JRQuery`
      Returns the query string.
      Specified by:
        `getText` in interface `JRQuery`

    - #### getLanguage

          public java.lang.String getLanguage()

      Description copied from interface: `JRQuery`
      Returns the query language.

      Based on the query language, a corresponding `QueryExecuterFactory` is used to create a `JRQueryExecuter` instance. The query executer is responsible for executing the query and creating a `JRDataSource` from the result.
      Specified by:
        `getLanguage` in interface `JRQuery`
      Returns:
        the query language

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com